Description

History

#1 - 03/27/2014 04:09 PM - Lauren Walker

- Assignee set to Lauren Walker

| plan on implementing this in a way where we can (in the future) switch between querying the current MN or the CN. This would require the
MetacatUI app to store both the CN and MN DataONE API's.

#2 - 03/27/2014 04:18 PM - ben leinfelder

| think we can just consider the Ul needing to switch between node baseUrls. Both the MN and CN endpoints for querying, authorization, and
(eventually) viewing and downloading objects should be the same and only differ in their baseUrl.

It's a little tricky for things like the registryUrl and such that still very much rely on the old Metacat code. But | assume we just won't show anything
about "signing in" or "signing up".

We also don't have the "package" service. Nor the "publish" service on the CN (or even codified in the DataONE MN API).
#3 - 03/27/2014 04:33 PM - ben leinfelder
For my money, | like the idea of having search results link to a #quickview/{pid} page.

This would display the citation (like it is in the search results), package contents (also in the index from parsing the ORE objects) and additional
metadata fields from the index (coverage, abstract, methods, etc).

This #quickview would work for either MN or CN deployments because it would only use the query() endpoint. To keep it as general as possible, we
might exclude things like the "Publish" and "Download package" options because the CN does not support those operations.

#4 - 04/14/2014 03:29 PM - Lauren Walker

- Status changed from New to Resolved

MetacatUl is now completely functional for querying the CN
